'From Pharo6.0 of 13 May 2016 [Latest update: #60527] on 12 December 2017 at 12:30:32.200357 am'!
FFILibrary subclass: #BittrexLibsodium
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bittrex'!

!BittrexLibsodium methodsFor: 'accessing platform' stamp: 'BenComan 12/11/2017 15:39'!
unixModuleName
	self shouldBeImplemented.! !

!BittrexLibsodium methodsFor: 'accessing platform' stamp: 'BenComan 12/11/2017 15:39'!
unix64ModuleName
	^ '/usr/lib/x86_64-linux-gnu/libsodium.so.18'! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

BittrexLibsodium class
	instanceVariableNames: ''!


!BittrexLibsodium class methodsFor: 'api' stamp: 'BenComan 12/11/2017 15:41'!
crypto_auth_hmacsha512_keybytes
	^ self ffiCall: #(	size_t crypto_auth_hmacsha512_keybytes(void))
			 module: BittrexLibsodium ! !

!BittrexLibsodium class methodsFor: 'api' stamp: 'BenComan 12/11/2017 15:37'!
crypto_auth_hmacsha512_bytes
	^ self ffiCall: #(	size_t crypto_auth_hmacsha512_bytes(void))
			 module: BittrexLibsodium ! !

!BittrexLibsodium class methodsFor: 'api' stamp: 'BenComan 12/11/2017 21:09'!
crypto_auth_hmacsha512__out: out in: in inlen: inlen k: k
	^ self ffiCall: #(	int crypto_auth_hmacsha512(uchar *out, uchar *in, ulonglong inlen, uchar *k))
			 module: BittrexLibsodium 
			
		"The function crypto_auth_hmacsha512(hash, MESSAGE, MESSAGE_LEN, key)
		 authenticates a message 'in' whose length is 'inlen' using the secret key 'k' 
		 and puts the authenticator into provided buffer 'out' 
		 The length of 'k' is crypto_auth_hmacsha256_keybytes() and 
		 the length of 'out' is crypto_auth_hmacsha256_keybytes()"! !

